Skip to main content
PUT
You can use this call to add the tracking number and carrier for LineItems shipments, on both one-time and recurring PayPal pay-ins.
Caution – Tracking information cannot be editedYou can’t modify the TrackingNumber, Carrier, or NotifyBuyer once added.
You can only send a unique tracking number once.
There is no link between the line items and the tracking numbers.  If adding multiple tracking numbers for the same transaction, it is recommended to set NotifyBuyer to true on only one of them.

Path parameters

string
required
The unique identifier of the pay-in.

Body parameters

string
required
The shipment’s tracking number provided by the carrier.
string
required
The carrier for the shipment. Use the country-specific version of the carrier if it exists, otherwise use its global version.
string
Default value: falseIf true, sends an email notification to the PaypalBuyerAccountEmail containing the TrackingNumber and Carrier, which allows the end user to track their shipment with the carrier.

Responses

string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
Unix timestamp
The date and time at which the object was created.
string
The unique identifier of the user at the source of the transaction.
object
Information about the debited funds. The amount must be equal to the total of all UnitAmount and TaxAmount of all LineItems.
object
Information about the credited funds (CreditedFunds = DebitedFunds - Fees).
object
Information about the fees.
string
Returned values: CREATED, SUCCEEDED, FAILEDThe status of the transaction.
string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
Unix timestamp
The date and time at which the status changed to SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.
string
Returned values: PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.
string
Returned values: REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:
  • REGULAR – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.
  • REPUDIATION – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).
  • REFUND – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).
  • SETTLEMENT – Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the credited wallet.
string
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
string
Returned values: PAYPALThe type of pay-in.
string
Returned values: WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.
string
Max. length: 255 charactersThe URL to which the user is returned after the payment, whether the transaction is successful or not.
string
The URL to which to redirect the user to complete the payment.Caution: This variable URL is specific to each payment. You must rely on the returned URL in full (host, path, and queries) and not hardcode any part of it.
string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
object
Information about the end user’s shipping address, managed by ShippingPreference.
array
objectInformation about the items purchased in the transaction. The total of all line items’ UnitAmount and TaxAmount must equal the DebitedFunds amount (negative amounts not allowed).
string
Returned values: One of the supported languages in the ISO 639-1 format: AT, BR, CA, CH, CN, DE, DK, ES, FR, GB, ID, IL, IT, JK, JP, NL, NO, PL, PT, RU, SE, TH, TR, TW, US.The language in which the PayPal payment page is to be displayed.
string
Returned values: SET_PROVIDED_ADDRESS, GET_FROM_FILE, NO_SHIPPINGInformation about the shipping address behavior on the PayPal payment page:
  • SET_PROVIDED_ADDRESS - The Shipping parameter becomes required and its values are displayed to the end user, who is not able to modify them.
  • GET_FROM_FILE – The Shipping parameter is ignored and the end user can choose from registered addresses.
  • NO_SHIPPING – No shipping address section is displayed.
string
The email address registered on the PayPal account used to make the payment.
string
Max. length: 127 characters (truncated after)The platform’s order reference for the transaction.
array (object)
Shipping information of the LineItems added to the pay-in object.
string
The URL to which the user is returned after canceling the payment. If not provided, the Cancel button returns the user to the RedirectURL.
string
PayPal’s unique identifier for the order.
string
The country of the buyer.
string
The first name of the buyer.
string
The mobile phone number of the buyer.
string
The last name of the buyer.
string
The PayPal identifier of the buyer.
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
Unix timestamp
The date and time at which the object was created.
string
The unique identifier of the user at the source of the transaction.
object
Information about the debited funds. The amount must be equal to the total of all UnitAmount and TaxAmount of all LineItems.
object
Information about the credited funds (CreditedFunds = DebitedFunds - Fees).
object
Information about the fees.
string
Returned values: CREATED, SUCCEEDED, FAILEDThe status of the transaction.
string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
Unix timestamp
The date and time at which the status changed to SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.
string
Returned values: PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.
string
Returned values: REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:
  • REGULAR – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.
  • REPUDIATION – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).
  • REFUND – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).
  • SETTLEMENT – Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the credited wallet.
string
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
string
Returned values: PAYPALThe type of pay-in.
string
Returned values: WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.
string
Max. length: 255 charactersThe URL to which the user is returned after the payment, whether the transaction is successful or not.
string
The URL to which to redirect the user to complete the payment.Caution: This variable URL is specific to each payment. You must rely on the returned URL in full (host, path, and queries) and not hardcode any part of it.
string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
object
Information about the end user’s shipping address, managed by ShippingPreference.
array
objectInformation about the items purchased in the transaction. The total of all line items’ UnitAmount and TaxAmount must equal the DebitedFunds amount (negative amounts not allowed).
string
Returned values: One of the supported languages in the ISO 639-1 format: AT, BR, CA, CH, CN, DE, DK, ES, FR, GB, ID, IL, IT, JK, JP, NL, NO, PL, PT, RU, SE, TH, TR, TW, US.The language in which the PayPal payment page is to be displayed.
string
Returned values: SET_PROVIDED_ADDRESS, GET_FROM_FILE, NO_SHIPPINGInformation about the shipping address behavior on the PayPal payment page:
  • SET_PROVIDED_ADDRESS - The Shipping parameter becomes required and its values are displayed to the end user, who is not able to modify them.
  • GET_FROM_FILE – The Shipping parameter is ignored and the end user can choose from registered addresses.
  • NO_SHIPPING – No shipping address section is displayed.
string
The email address registered on the PayPal account used to make the payment.
string
Max. length: 127 characters (truncated after)The platform’s order reference for the transaction.
array (object)
Shipping information of the LineItems added to the pay-in object.
string
The URL to which the user is returned after canceling the payment. If not provided, the Cancel button returns the user to the RedirectURL.
string
PayPal’s unique identifier for the order.
string
The country of the buyer.
string
The first name of the buyer.
string
The mobile phone number of the buyer.
string
The last name of the buyer.
string
The PayPal identifier of the buyer.